Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.lyo.oslc4j.provider.jena
Class OslcSimpleRdfXmlArrayProvider

    java.lang.Object
      org.eclipse.lyo.oslc4j.provider.jena.AbstractOslcRdfXmlProvider
          org.eclipse.lyo.oslc4j.provider.jena.OslcRdfXmlArrayProvider
              org.eclipse.lyo.oslc4j.provider.jena.OslcSimpleRdfXmlArrayProvider

All Implemented Interfaces:
  javax.ws.rs.ext.MessageBodyReader<Object[]>, javax.ws.rs.ext.MessageBodyWriter<Object[]>

Direct Known Subclasses:
  OslcSimpleTurtleArrayProvider, OslcSimpleXmlArrayProvider

    @Provider
    public class OslcSimpleRdfXmlArrayProvider

extends OslcRdfXmlArrayProvider

Field Summary

Fields inherited from class org.eclipse.lyo.oslc4j.provider.jena.AbstractOslcRdfXmlProvider
`httpServletRequest, OSLC4J_ALWAYS_XML_ABBREV, OSLC4J_STRICT_DATATYPES`

Constructor Summary
`OslcSimpleRdfXmlArrayProvider()`

Method Summary
`void` | `writeTo(Object[] objects, Class<?> type, Type genericType, Annotation[] annotations, javax.ws.rs.core.MediaType mediaType, javax.ws.rs.core.MultivaluedMap<String,Object> map, OutputStream outputStream)`

Methods inherited from class org.eclipse.lyo.oslc4j.provider.jena.OslcRdfXmlArrayProvider
`getSize, isReadable, isWriteable, readFrom`

Methods inherited from class org.eclipse.lyo.oslc4j.provider.jena.AbstractOslcRdfXmlProvider
`buildBadRequestResponse, isCompatible, isOslcQuery, isReadable, isWriteable, readFrom, writeTo, writeTo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OslcSimpleRdfXmlArrayProvider

    public OslcSimpleRdfXmlArrayProvider()

Method Detail

### writeTo

    public void writeTo(Object[] objects,
                        Class<?> type,
                        Type genericType,
                        Annotation[] annotations,
                        javax.ws.rs.core.MediaType mediaType,
                        javax.ws.rs.core.MultivaluedMap<String,Object> map,
                        OutputStream outputStream)
                 throws IOException,
                        javax.ws.rs.WebApplicationException

  Specified by:
    `writeTo` in interface `javax.ws.rs.ext.MessageBodyWriter<Object[]>`
  Overrides:
    `writeTo` in class `OslcRdfXmlArrayProvider`
  Throws:
    `IOException`
    `javax.ws.rs.WebApplicationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.